GBHISTO2D(1)

NAME
gbhisto2d - Produce 2D histogram from data

SYNOPSIS
gbhisto2d [options]

DESCRIPTION
2D histogram on a regular grid. Data are read from standard input as couples (X,Y). If data are treated as continuous, equispaced bins are built and their center coordinates together with the required statistics are printed. For discrete variables, bins are built directly from the given variables. Transition matrices (option -M 5 and -M 8) have final states across the rows. In case of continuous variables it is also possible to consider rectangular matrices.

  Options :

-M  choose the statistics to print for each bin (default 0)

0   occurrences number for continuous binned variables (*)

1   relative frequency for continuous binned variables (*)

2   empirical density for continuous binned variables (*)

3   occurrences number for discrete symmetric variables (bins{X}=bins{Y})

4   relative frequency for discrete symmetric variables (bins{X}=bins{Y})

5   transition matrix (X=>Y) for discrete symmetric variables (bins{X}=bins{Y})

6   occurrences number for discrete asymmetric variables

7   relative frequency for discrete asymmetric variables

8   transition matrix (X=>Y) for continuous binned variables (*)

-n  number of equispaced bins where the histogram is computed. For output marked with (*), use comma ',' to specify different values for x and y coordinates. (default 10)

-v  verbose mode

-F  specify the input fields separators (default " \t")

-h  this help

EXAMPLES

gbhisto2d -n 20 < file
    compute a 2D histrogram using 20x20 bins.

gbhisto2d -M 8 -n 4 < file
    compute transition matrix on equispaced bins for continuous variables.

AUTHOR
Written by Giulio Bottazzi

REPORTING BUGS
Report bugs to <gbutils@googlegroups.com>

Package home page <http://cafim.sssup.it/~giulio/software/gbutils/index.html>

COPYRIGHT
Copyright © 2001-2018 Giulio Bottazzi This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License (version 2) as published by the Free Software Foundation;

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.